RMBinderLibrary (Resource Manager CL 1.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.resourcemanager.client

## Class RMBinderLibrary

- java.lang.Object
- - org.gcube.vremanagement.resourcemanager.client.RMBinderLibrary

- All Implemented Interfaces:
    RMBinderInterface

      public class RMBinderLibrary
      extends Object
      implements RMBinderInterface

  Author:
    Andrea Manzi(CERN)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMBinderLibrary(org.gcube.common.clients.delegates.ProxyDelegate<RMBinderServiceJAXWSStubs> delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `addResources(Types.AddResourcesParameters params)`
    `String` | `removeResources(Types.RemoveResourcesParameters params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RMBinderLibrary

          public RMBinderLibrary(org.gcube.common.clients.delegates.ProxyDelegate<RMBinderServiceJAXWSStubs> delegate)

  - ### Method Detail

    - #### addResources

          public String addResources(Types.AddResourcesParameters params)
                              throws ResourcesCreationException,
                                     InvalidScopeException

      Specified by:
        `addResources` in interface `RMBinderInterface`
      Throws:
        `ResourcesCreationException`
        `InvalidScopeException`

    - #### removeResources

          public String removeResources(Types.RemoveResourcesParameters params)
                                 throws ResourcesRemovalException,
                                        InvalidScopeException

      Specified by:
        `removeResources` in interface `RMBinderInterface`
      Throws:
        `ResourcesRemovalException`
        `InvalidScopeException`

Copyright © 2015. All Rights Reserved.